> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shorpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read managed contract change requests and review feedback



## OpenAPI

````yaml /api-reference/openapi.json get /contracts/{id}/change-requests
openapi: 3.1.0
info:
  title: Shor Public API
  version: 1.0.0
servers:
  - url: /v1
security: []
paths:
  /contracts/{id}/change-requests:
    get:
      summary: Read managed contract change requests and review feedback
      operationId: listContractChangeRequests
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  eligible:
                    type: boolean
                  version:
                    type: string
                  current:
                    type: object
                    properties:
                      title:
                        type: string
                      department:
                        anyOf:
                          - type: string
                          - type: 'null'
                      compensationAmount:
                        type: string
                      currency:
                        type: string
                      compensationUnit:
                        type: string
                        enum:
                          - annual
                          - monthly
                    required:
                      - title
                      - department
                      - compensationAmount
                      - currency
                      - compensationUnit
                    additionalProperties: false
                  requests:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        contractId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        status:
                          anyOf:
                            - type: string
                              enum:
                                - Submitted
                                - ChangesRequested
                                - Approved
                                - Applied
                                - Rejected
                                - Cancelled
                            - type: 'null'
                        submissionState:
                          type: string
                          enum:
                            - pending
                            - sending
                            - uncertain
                            - failed
                            - synced
                        effectiveDate:
                          type: string
                        reason:
                          type: string
                        notes:
                          type: string
                        decreaseDetails:
                          type: object
                          properties:
                            reason:
                              type: string
                              minLength: 1
                              maxLength: 2000
                            employeeInformed:
                              type: boolean
                          required:
                            - reason
                          additionalProperties: false
                        proposed:
                          anyOf:
                            - type: object
                              properties:
                                title:
                                  type: string
                                department:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                compensationAmount:
                                  type: string
                                currency:
                                  type: string
                                compensationUnit:
                                  type: string
                                  enum:
                                    - annual
                                    - monthly
                              required:
                                - title
                                - department
                                - compensationAmount
                                - currency
                                - compensationUnit
                              additionalProperties: false
                            - type: 'null'
                        original:
                          anyOf:
                            - type: object
                              properties:
                                title:
                                  type: string
                                department:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                compensationAmount:
                                  type: string
                                currency:
                                  type: string
                                compensationUnit:
                                  type: string
                                  enum:
                                    - annual
                                    - monthly
                              required:
                                - title
                                - department
                                - compensationAmount
                                - currency
                                - compensationUnit
                              additionalProperties: false
                            - type: 'null'
                        reviewHistory:
                          type: array
                          items:
                            type: object
                            properties:
                              action:
                                type: string
                              feedback:
                                type: string
                              timestamp:
                                type: number
                            required:
                              - action
                              - timestamp
                            additionalProperties: false
                        version:
                          type: string
                        createdAt:
                          type: string
                        appliedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        canResubmit:
                          type: boolean
                        canCancel:
                          type: boolean
                        agreementStatus:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - contractId
                        - status
                        - submissionState
                        - effectiveDate
                        - reason
                        - proposed
                        - original
                        - reviewHistory
                        - version
                        - createdAt
                        - appliedAt
                        - canResubmit
                        - canCancel
                        - agreementStatus
                      additionalProperties: false
                required:
                  - eligible
                  - version
                  - current
                  - requests
                additionalProperties: false
        '400':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '401':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '409':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '413':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '422':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '429':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '500':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '503':
          description: Error
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - authentication_error
                          - permission_error
                          - validation_error
                          - not_found
                          - conflict
                          - rate_limit_error
                          - api_error
                      code:
                        type: string
                      message:
                        type: string
                      status:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      requestId:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            code:
                              type: string
                          required:
                            - path
                            - code
                          additionalProperties: false
                    required:
                      - type
                      - code
                      - message
                      - status
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.